<div class="page-container is-fullwidth">
  <div class="page-header-container ghost-style">
    <app-page-header [pageInfo]="pageHeaderInfo"></app-page-header>
    <div class="chapo">
      <p>
        <ng-container i18n="@@organizations.description_first">
          They have chosen to make their data available on data.grandlyon.com: Welcome to the partners of the Métropole de Lyon!
        </ng-container>&nbsp;
        <ng-container i18n="@@organizations.description_middle">
          For the players in the territory who wish to distribute their data, in open access or in exclusive sharing,
          the data team of the Métropole de Lyon is at your disposal and offers you two types of partnership framework:
        </ng-container>
      </p>
        <ul>
          <p>
            <li>
              <a  href="{{ opendata_url }}" i18n="@@organizations.opendata_conv">An open data distribution agreement</a>
            </li>
            <li>
              <a href="{{ privatedata_url }}" i18n="@@organizations.privatedata_conv">A private access data distribution agreement</a>
            </li>
          </p>
        </ul>
        <p>
          <ng-container i18n="@@organizations.description_last">
            Together, let's make data the catalyst for responsible development in Greater Lyon!
          </ng-container>
        </p>
    </div>
  </div>

  <div class="masonry">
    <div class="item has-text-centered relative-anchor" *ngFor="let organization of organizations">
      <span class="offset-anchor" id="{{organization.name}}"></span>
      <div class="organization columns is-multiline is-marginless" [ngClass]="{'focused': organization.name === orgaToFocus}">
        <div class="column is-12">
          <p class="logo-content">
            <a [href]="organization.links[0].url" target="_blank" *ngIf="organization.links[0]">
              <img src="{{organization.logo}}" alt="{{organization.name}}">
            </a>
            <img src="{{organization.logo}}" alt="{{organization.name}}" *ngIf="!organization.links[0]">
          </p>
          <p>{{organization.description}}</p>
        </div>

        <div class="column is-12 has-text-left">
          <p class="has-text-weight-bold" i18n="@@organizations.moreInformation">More information</p>
          <p *ngFor="let link of organization.links">
            <span><a class="link-2" href="{{ link.url }}">{{ link.urlLabel }}</a></span>
          </p>
        </div>
        <div class="column is-12" *ngIf="organization.datasetsCount">
          <button class="button btn-blue-text"
            (click)="researchDatasetsWithOrganizationFilter(organization.elasticSearchName)">
            <span class="count"> {{ organization.datasetsCount }} </span>
            <span i18n="@@organizations.datasets.plural" *ngIf="organization.datasetsCount > 1">datasets</span>
            <span i18n="@@organizations.datasets.singular" *ngIf="organization.datasetsCount < 2">dataset</span>
          </button>
        </div>
        <div class="column is-12" *ngIf="organization.servicesCount">
          <button class="button btn-blue-text"
            (click)="researchServicesWithOrganizationFilter(organization.elasticSearchName)">
            <span class="count"> {{ organization.servicesCount }} </span>
            <span i18n="@@organizations.services.plural" *ngIf="organization.datasetsCount > 1">services</span>
            <span i18n="@@organizations.services.singular" *ngIf="organization.datasetsCount < 2">service</span>
          </button>
        </div>
      </div>
    </div>
  </div>

</div>
